Field NationDeveloper Platform
Field NationDeveloper Platform
IntroductionQuick StartAPI Playground

Getting Started

API Reference

Overview
TasksCustom FieldsMilestonesTime LogsSignaturesCompliance
Work OrdersExecution

Time Logs

Track provider work hours with check-in/check-out and manual entries.


Time Logs

Time logs track the actual hours worked by the provider. They can be generated automatically via check-in/check-out or created manually.

List Time Logs

GET /workorders/{id}/time_logs

Response

{
  "results": [
    {
      "id": 1001,
      "user_id": 12345,
      "start": { "utc": "2024-01-15 09:00:00" },
      "end": { "utc": "2024-01-15 11:30:00" },
      "hours": 2.5,
      "type": "check_in",
      "verified": true
    }
  ],
  "total_hours": 2.5
}

Create Time Log

POST /workorders/{id}/time_logs

{
  "user_id": 12345,
  "start": { "utc": "2024-01-15 09:00:00" },
  "end": { "utc": "2024-01-15 11:00:00" }
}

Update Time Log

PUT /workorders/{id}/time_logs/{time_log_id}

{
  "out": { "utc": "2024-01-15 12:00:00" }
}

Delete Time Log

DELETE /workorders/{id}/time_logs/{time_log_id}

Check-In / Check-Out

Providers typically check in and out via the mobile app, which automatically creates time logs.

Check In

POST /workorders/{id}/check_in

{
  "user_id": 12345,
  "location": {
    "lat": 44.9778,
    "lng": -93.2650
  }
}

Check Out

POST /workorders/{id}/check_out

{
  "user_id": 12345
}

GPS Verification: Check-in location is compared against the work order location to verify the provider is on-site.

Time Log Status

StatusDescription
pendingAwaiting verification
verifiedConfirmed by buyer
disputedUnder review

Related

  • Tasks - Work completion checklist
  • Financials - Time affects hourly pay

Last updated on

Milestones

Track granular progress of a work order.

Signatures

Capture and manage digital signatures for work verification.

On this page

Time Logs
List Time Logs
Response
Create Time Log
Update Time Log
Delete Time Log
Check-In / Check-Out
Check In
Check Out
Time Log Status
Related